/*
 *  Copyright 2020-2022 CROZ d.o.o, the original author or authors.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

package net.croz.nrich.javascript.model;

import com.fasterxml.jackson.annotation.JsonValue;

import java.util.Locale;

/**
 * Enum representing Javascript type, even though date is not a type it is added for easier handling on client.
 */
public enum JavascriptType {

    STRING, BOOLEAN, NUMBER, DATE, OBJECT;

    @JsonValue
    public String getName() {
        return name().toLowerCase(Locale.ROOT);
    }
}
